%define		_class		XML
%define		_subclass	Parser
%define		upstream_name	%{_class}_%{_subclass}

Name:		php-pear-%{upstream_name}
Version:	1.3.7
Release:	%mkrel 3
Summary:	XML parsing class based on PHP's bundled expat
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/%{upstream_name}
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildRequires:	php-pear
BuildArch:	noarch

%description
This is an XML parser based on PHPs built-in xml extension.  It supports two
basic modes of operation: "func" and "event".  In "func" mode, it will look for
a function named after each element (xmltag_ELEMENT for start tags and
xmltag_ELEMENT_ for end tags), and in "event" mode it uses a set of generic
callbacks.

Since version 1.2.0 there's a new XML_Parser_Simple class that makes parsing of
most XML documents easier, by automatically providing a stack for the elements.
Furthermore its now possible to split the parser from the handler object, so
you do not have to extend XML_Parser anymore in order to parse a document with
it.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.3.7-3.mga8
+ Revision: 1507362
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.3.7-2.mga7
+ Revision: 1287863
- Mageia 7 Mass Rebuild

* Tue Dec 19 2017 mokraemer <mokraemer> 1.3.7-1.mga7
+ Revision: 1183404
- new version

* Wed Feb 17 2016 umeabot <umeabot> 1.3.4-6.mga6
+ Revision: 964659
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.4-5.mga5
+ Revision: 740928
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.4-4.mga5
+ Revision: 687513
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3.4-3.mga4
+ Revision: 517336
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.3.4-2.mga3
+ Revision: 377411
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 spuhler <spuhler> 1.3.4-1.mga1
+ Revision: 28059
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-XML_Parser


* Thu Oct 28 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.4-1mdv2011.0
+ Revision: 589700
- new version

* Sun Nov 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.2-3mdv2010.1
+ Revision: 466339
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Thu Oct 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.2-2mdv2010.0
+ Revision: 452033
- fix %%postun

* Mon Sep 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.2-1mdv2010.0
+ Revision: 450708
- import php-pear-XML_Parser


* Fri Sep 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.2-1mdv2010.0
- split out from php-pear package
